<?xml version='1.0'?>

<xsl:stylesheet xmlns:xsl  = 'http://www.w3.org/1999/XSL/Transform'
                xmlns:wsdl = 'http://schemas.xmlsoap.org/wsdl/'
                xmlns:java = 'http://xml.apache.org/xslt/java'
                extension-element-prefixes='java'
                version='1.0'>

<xsl:include href='xsl:/common.xsl'/>
<xsl:param name='basedir'/>
<xsl:param name='output'/>
<xsl:param name='sil'/>
<xsl:output method='xml' omit-xml-declaration='no' indent='no'/>

<xsl:template match='/'>
 <xsl:apply-templates select='comment() | wsdl:definitions'/>
</xsl:template>

<xsl:template match='wsdl:definitions'>
 <xsl:value-of select='$eol'/>
 <xsl:copy>
  <xsl:attribute name='name'>
   <xsl:value-of select='@name'/>
  </xsl:attribute>
  <xsl:attribute name='targetNamespace'>
   <xsl:value-of select='@targetNamespace'/>
  </xsl:attribute>
  <xsl:value-of select='$eol'/>
  <xsl:value-of select='$eol'/>
  <xsl:variable name='javaFile' select='java:java.io.File.new($output)'/>
  <xsl:variable name='location' select='java:getName($javaFile)'/>
  <xsl:element name ='import' namespace='http://schemas.xmlsoap.org/wsdl/'>
   <xsl:attribute name='location'>
    <xsl:choose>
     <xsl:when test='contains($location, ".wsdl")'>
      <xsl:value-of select='concat($sil, substring-before($location, ".wsdl"), "-interface.wsdl")'/>
     </xsl:when>
     <xsl:otherwise>
      <xsl:value-of select='concat($sil, $location, "-interface.wsdl")'/>
     </xsl:otherwise>
    </xsl:choose>
   </xsl:attribute>
   <xsl:attribute name='namespace'>
    <xsl:value-of select='concat(@targetNamespace, "-interface")'/>
   </xsl:attribute>
  </xsl:element>
  <xsl:value-of select='$eol'/>
  <xsl:value-of select='$eol'/>
  <xsl:apply-templates select='comment() | wsdl:service'/>
 </xsl:copy>
 <xsl:value-of select='$eol'/>
</xsl:template>

<xsl:template match='comment()'>
 <xsl:comment>
  <xsl:value-of select='.'/>
 </xsl:comment>
 <xsl:value-of select='$eol'/>
</xsl:template>

<xsl:template match='* | @* | text()'>
 <xsl:copy>
  <xsl:apply-templates select='* | @* | text()'/>
 </xsl:copy>
 <xsl:if test='parent::node() = /wsdl:definitions'>
  <xsl:value-of select='$eol'/>
  <xsl:value-of select='$eol'/>
 </xsl:if>
</xsl:template>

</xsl:stylesheet>
