<!-- Document Type Definition for MQSeries Workflow XML messages -->
<!-- This file ("%OutputFileName%") was generated -->
<!-- by %GeneratorName% on %GeneratedDate% -->
<!-- from FDL file "%InputFileName%" -->

<!-- ========================================== -->
<!-- Message and Container primitive data types -->
<!-- ========================================== -->

<!ENTITY % STRING '(#PCDATA)'> <!-- &lt;= 4194304 bytes -->
<!ENTITY % LONG   '(#PCDATA)'>
<!ENTITY % BINARY '(#PCDATA)'> <!-- &lt;= 4194304 bytes -->

<!-- ===================================== -->
<!-- Container (only) primitive data types -->
<!-- ===================================== -->

<!ENTITY % FLOAT '(#PCDATA)'>

<!-- =================================== -->
<!-- Message (only) primitive data types -->
<!-- =================================== -->

<!ENTITY % BOOLEAN   '(#PCDATA)'> <!-- Expected values: {true, false} -->
<!ENTITY % UID       '(#PCDATA)'> <!-- &lt;= 32 bytes -->
<!ENTITY % OID       '(#PCDATA)'> <!-- Base64 encoding, &lt;= 64 bytes -->
<!ENTITY % COID      '(#PCDATA)'> <!-- Base64 encoding, 80 bytes -->
<!ENTITY % OPAQUE    '(#PCDATA)'> <!-- Base64 encoding, &lt;= 254 bytes -->
<!ENTITY % TIMESTAMP '(#PCDATA)'> <!-- ISO 8601 encoding -->

<!-- ===================================== -->
<!-- Message (only) enumeration data types -->
<!-- ===================================== -->

<!ENTITY % PLATFORM '(#PCDATA)'> <!-- Expected values:
                                      { OS2, AIX, HPUX, Windows95, WindowsNT,
                                        OS390, Solaris } -->

<!ENTITY % STATE    '(#PCDATA)'> <!-- Expected values:
                                      { Deleted, Finished, Ready, Running,
                                        Suspended, Suspending, Terminated,
                                        Terminating } -->

<!ENTITY % RESPONSE '(#PCDATA)'> <!-- Expected values:
                                      { No, IfError, Yes } -->

<!ENTITY % TIMEOUT  '(#PCDATA)'> <!-- Expected values:
                                      { TimeInterval, Forever, Never } -->

<!ENTITY % STYLE    '(#PCDATA)'> <!-- Expected values:
                                      { Visible, Invisible, Minimized,
                                        Maximized } -->

<!-- ============================= -->
<!-- Container <null> element type -->
<!-- ============================= -->

<!ELEMENT null EMPTY>

<!-- =========================================== -->
<!-- Container (only) primitive array data types -->
<!-- =========================================== -->

<!ENTITY % STRING_ARRAY '(#PCDATA | null)*'>
<!ENTITY % LONG_ARRAY   '(#PCDATA | null)*'>
<!ENTITY % FLOAT_ARRAY  '(#PCDATA | null)*'>
<!ENTITY % BINARY_ARRAY '(#PCDATA | null)*'>

<!-- ============================================ -->
<!-- Container fixed and predefined element types -->
<!-- ============================================ -->

<!ELEMENT _PROCESS_INFO
 ( Role?,
   Organization?,
   ProcessAdministrator?,
   Duration? )>

<!ELEMENT _ACTIVITY_INFO
 ( Priority?,
   MembersOfRoles?,
   CoordinatorOfRole?,
   Organization?,
   OrganizationType?,
   LowerLevel?,
   UpperLevel?,
   People?,
   PersonToNotify?,
   Duration?,
   Duration2? )>

<!ELEMENT CoordinatorOfRole    %STRING;>
<!ELEMENT Duration             %LONG;  >
<!ELEMENT Duration2            %LONG;  >
<!ELEMENT LowerLevel           %LONG;  >
<!ELEMENT MembersOfRoles       %STRING;>
<!ELEMENT Organization         %STRING;>
<!ELEMENT OrganizationType     %LONG;  >
<!ELEMENT People               %STRING;>
<!ELEMENT PersonToNotify       %STRING;>
<!ELEMENT Priority             %LONG;  >
<!ELEMENT ProcessAdministrator %STRING;>
<!ELEMENT Role                 %STRING;>
<!ELEMENT UpperLevel           %LONG;  >
<!ELEMENT _ACTIVITY            %STRING;>
<!ELEMENT _PROCESS             %STRING;>
<!ELEMENT _PROCESS_MODEL       %STRING;>
<!ELEMENT _RC                  %LONG;  >

<!ENTITY % _CONTAINER_INFO
 '_RC?,
  _PROCESS?,
  _PROCESS_MODEL?,
  _ACTIVITY?,
  _PROCESS_INFO?,
  _ACTIVITY_INFO?'
>

<!-- ========================================== -->
<!-- Container element types generated from FDL -->
<!-- ========================================== -->

<!-- _GENERATED_DATA_STRUCTURE_DTD_ -->

<!ELEMENT GlobalContainerContent     (%_CONTAINER;)>
<!ELEMENT ProcInstInputData          (%_CONTAINER;)>
<!ELEMENT ProcInstOutputData         (%_CONTAINER;)>
<!ELEMENT ProgramInputData           (%_CONTAINER;)>
<!ELEMENT ProgramOutputData          (%_CONTAINER;)>
<!ELEMENT ProgramOutputDataDefaults  (%_CONTAINER;)>

<!-- ========================= -->
<!-- MQSeries Workflow Message -->
<!-- ========================= -->

<!ELEMENT WfMessage
 ( WfMessageHeader?,
   ( ActivityExpired
   | ActivityImplInvoke
   | ActivityImplInvokeResponse
   | AuditTrailRecord
   | GeneralError
   | ProcessInstanceDelete
   | ProcessInstanceDeleteResponse
   | ProcessInstanceRestart
   | ProcessInstanceRestartResponse
   | ProcessInstanceResume
   | ProcessInstanceResumeResponse
   | ProcessInstanceStart
   | ProcessInstanceStartResponse
   | ProcessInstanceSuspend
   | ProcessInstanceSuspendResponse
   | ProcessInstanceTerminate
   | ProcessInstanceTerminateResponse
   | ProcessTemplateCreateAndStartInstance
   | ProcessTemplateCreateAndStartInstanceResponse
   | ProcessTemplateCreateInstance
   | ProcessTemplateCreateInstanceResponse
   | ProcessTemplateExecute
   | ProcessTemplateExecuteResponse
   | TerminateProgram ) )>

<!-- ============== -->
<!-- Message Header -->
<!-- ============== -->

<!ELEMENT WfMessageHeader
 ( ResponseRequired?,
   UserContext? )>

<!-- ========================= -->
<!-- 'ActivityExpired' Message -->
<!-- ========================= -->

<!ELEMENT ActivityExpired
 ( ActImplCorrelID )>

<!-- ============================= -->
<!-- 'ActivityImplInvoke' Messages -->
<!-- ============================= -->

<!ELEMENT ActivityImplInvoke
 ( ActImplCorrelID,
   Starter,
   ProgramID,
   ExternalProcessContext?,
   ( ImplementationData )*,
   ProgramInputData,
   ProgramOutputDataDefaults )>

<!ELEMENT ActivityImplInvokeResponse
 ( ActImplCorrelID,
   ( ( ProgramRC,
       ProgramOutputData )
 | Exception ) )>

<!-- ========================== -->
<!-- 'AuditTrailRecord' Message -->
<!-- ========================== -->

<!ELEMENT AuditTrailRecord
 ( Timestamp,
   AuditEvent,
   ProcInstName,
   ProcInstID,
   ProcInstTopLevelName,
   ProcInstTopLevelID,
   ProcInstParentName?,
   ProcInstParentID?,
   ProcTemplName,
   ProcTemplValidFromDate?,
   BlockNames?,
   UserID?,
   SecondUserID?,
   ActivityName?,
   ActivityType?,
   ActivityState?,
   SecondActivityName?,
   CommandParameters?,
   AssociatedObject?,
   ObjectDescription?,
   ProgramName?,
   ProgramRC?,
   GlobalContainerContent?,
   ExternalProcessContext? )>

<!-- ====================== -->
<!-- 'GeneralError' Message -->
<!-- ====================== -->

<!ELEMENT GeneralError ( Exception )>

<!-- ================================ -->
<!-- 'ProcessInstanceDelete' Messages -->
<!-- ================================ -->

<!ELEMENT ProcessInstanceDelete
 ( ProcInstName )>

<!ELEMENT ProcessInstanceDeleteResponse
 ( ProcInstName
 | Exception )>

<!-- ================================= -->
<!-- 'ProcessInstanceRestart' Messages -->
<!-- ================================= -->

<!ELEMENT ProcessInstanceRestart
 ( ProcInstName )>

<!ELEMENT ProcessInstanceRestartResponse
 ( ProcessInstance
 | Exception )>

<!-- ================================ -->
<!-- 'ProcessInstanceResume' Messages -->
<!-- ================================ -->

<!ELEMENT ProcessInstanceResume
 ( ProcInstName,
   Deep )>

<!ELEMENT ProcessInstanceResumeResponse
 ( ProcessInstance
 | Exception )>

<!-- =============================== -->
<!-- 'ProcessInstanceStart' Messages -->
<!-- =============================== -->

<!ELEMENT ProcessInstanceStart
 ( ProcInstName,
   ExternalProcessContext?,
   ProcInstInputData? )>

<!ELEMENT ProcessInstanceStartResponse
 ( ProcessInstance
 | Exception )>

<!-- ================================= -->
<!-- 'ProcessInstanceSuspend' Messages -->
<!-- ================================= -->

<!ELEMENT ProcessInstanceSuspend
 ( ProcInstName,
   SuspensionExpirationTime?,
   Deep )>

<!ELEMENT ProcessInstanceSuspendResponse
 ( ProcessInstance
 | Exception )>

<!-- =================================== -->
<!-- 'ProcessInstanceTerminate' Messages -->
<!-- =================================== -->

<!ELEMENT ProcessInstanceTerminate
 ( ProcInstName )>

<!ELEMENT ProcessInstanceTerminateResponse
 ( ProcessInstance
 | Exception )>

<!-- ================================================ -->
<!-- 'ProcessTemplateCreateAndStartInstance' Messages -->
<!-- ================================================ -->

<!ELEMENT ProcessTemplateCreateAndStartInstance
 ( ProcTemplName,
   ProcInstName?,
   KeepName?,
   ExternalProcessContext?,
   ProcInstInputData? )>

<!ELEMENT ProcessTemplateCreateAndStartInstanceResponse
 ( ProcessInstance
 | Exception )>

<!-- ======================================== -->
<!-- 'ProcessTemplateCreateInstance' Messages -->
<!-- ======================================== -->

<!ELEMENT ProcessTemplateCreateInstance
 ( ProcTemplName,
   ProcInstName?,
   KeepName? )>

<!ELEMENT ProcessTemplateCreateInstanceResponse
 ( ProcessInstance
 | Exception )>

<!-- ================================= -->
<!-- 'ProcessTemplateExecute' Messages -->
<!-- ================================= -->

<!ELEMENT ProcessTemplateExecute
 ( ProcTemplName,
   ProcInstName?,
   KeepName?,
   ExternalProcessContext?,
   ProcInstInputData? )>

<!ELEMENT ProcessTemplateExecuteResponse
 ( ( ProcessInstance,
     ProcInstOutputData? )
 | Exception )>

<!-- ========================== -->
<!-- 'TerminateProgram' Message -->
<!-- ========================== -->

<!ELEMENT TerminateProgram
 ( ActImplCorrelID )>

<!-- ============================= -->
<!-- Process Instance element type -->
<!-- ============================= -->

<!ELEMENT ProcessInstance
 ( ProcInstID,
   ProcInstName,
   ProcInstParentName?,
   ProcInstTopLevelName,
   ProcInstDescription?,
   ProcInstState,
   LastStateChangeTime,
   LastModificationTime,
   ProcTemplID,
   ProcTemplName,
   ProcTemplValidFromDate?,
   Icon,
   Category?,
   ProcInstSuspensionTime?,
   ProcInstSuspensionExpirationTime?,
   ExternalProcessContext? )>

<!-- ======================= -->
<!-- Program ID element type -->
<!-- ======================= -->

<!ELEMENT ProgramID
 ( ProcTemplID,
   ProgramName )>

<!-- ================================= -->
<!-- Implementation Data element types -->
<!-- ================================= -->

<!ELEMENT ImplementationData
 ( ImplementationPlatform ,
   ProgramParameters,
   ( ExeOptions
   | DllOptions
   | ExternalOptions ) )>

<!ELEMENT ExeOptions
 ( PathAndFileName,
   WorkingDirectoryName?,
   Environment?,
   InheritEnvironment,
   StartInForeGround?,
   AutomaticClose?,
   WindowStyle?,
   RunInXTerm? )>

<!ELEMENT DllOptions
 ( PathAndFileName,
   EntryPointName,
   ExecuteFenced?,
   KeepLoaded? )>

<!ELEMENT ExternalOptions
 ( ServiceName,
   ServiceType,
   InvocationType,
   ExecutableName,
   ExecutableType,
   IsLocalUser,
   IsSecurityRoutineCall,
   CodePage?,
   TimeoutPeriod,
   TimeoutInterval?,
   IsMappingRoutineCall,
   MappingType?,
   ForwardMappingFormat?,
   ForwardMappingParameters?,
   BackwardMappingFormat?,
   BackwardMappingParameters? )>

<!-- ======================= -->
<!-- Exception element types -->
<!-- ======================= -->

<!ELEMENT Exception
 ( Rc?,
   Parameters?,
   MessageText,
   Origin? )>

<!ELEMENT Parameters
 ( Parameter* )>

<!-- ================== -->
<!-- Data element types -->
<!-- ================== -->

<!ELEMENT AutomaticClose                   %BOOLEAN;>
<!ELEMENT Deep                             %BOOLEAN;>
<!ELEMENT ExecuteFenced                    %BOOLEAN;>
<!ELEMENT InheritEnvironment               %BOOLEAN;>
<!ELEMENT IsLocalUser                      %BOOLEAN;>
<!ELEMENT IsMappingRoutineCall             %BOOLEAN;>
<!ELEMENT IsSecurityRoutineCall            %BOOLEAN;>
<!ELEMENT KeepLoaded                       %BOOLEAN;>
<!ELEMENT KeepName                         %BOOLEAN;>
<!ELEMENT RunInXTerm                       %BOOLEAN;>
<!ELEMENT StartInForeGround                %BOOLEAN;>

<!ELEMENT ActivityName                     %STRING;>
<!ELEMENT AssociatedObject                 %STRING;>
<!ELEMENT BackwardMappingFormat            %STRING;>
<!ELEMENT BackwardMappingParameters        %STRING;>
<!ELEMENT BlockNames                       %STRING;>
<!ELEMENT Category                         %STRING;>
<!ELEMENT CommandParameters                %STRING;>
<!ELEMENT EntryPointName                   %STRING;>
<!ELEMENT Environment                      %STRING;>
<!ELEMENT ExecutableName                   %STRING;>
<!ELEMENT ExecutableType                   %STRING;>
<!ELEMENT ForwardMappingFormat             %STRING;>
<!ELEMENT ForwardMappingParameters         %STRING;>
<!ELEMENT Icon                             %STRING;>
<!ELEMENT InvocationType                   %STRING;>
<!ELEMENT MappingType                      %STRING;>
<!ELEMENT MessageText                      %STRING;>
<!ELEMENT ObjectDescription                %STRING;>
<!ELEMENT Origin                           %STRING;>
<!ELEMENT Parameter                        %STRING;>
<!ELEMENT PathAndFileName                  %STRING;>
<!ELEMENT ProcInstDescription              %STRING;>
<!ELEMENT ProcInstName                     %STRING;>
<!ELEMENT ProcInstParentName               %STRING;>
<!ELEMENT ProcInstTopLevelName             %STRING;>
<!ELEMENT ProcTemplName                    %STRING;>
<!ELEMENT ProgramName                      %STRING;>
<!ELEMENT ProgramParameters                %STRING;>
<!ELEMENT SecondActivityName               %STRING;>
<!ELEMENT ServiceName                      %STRING;>
<!ELEMENT ServiceType                      %STRING;>
<!ELEMENT Starter                          %STRING;>
<!ELEMENT WorkingDirectoryName             %STRING;>

<!ELEMENT ActivityState                    %LONG;>
<!ELEMENT ActivityType                     %LONG;>
<!ELEMENT AuditEvent                       %LONG;>
<!ELEMENT CodePage                         %LONG;>
<!ELEMENT ProgramRC                        %LONG;>
<!ELEMENT Rc                               %LONG;>
<!ELEMENT TimeoutInterval                  %LONG;>

<!ELEMENT LastModificationTime             %TIMESTAMP;>
<!ELEMENT LastStateChangeTime              %TIMESTAMP;>
<!ELEMENT ProcInstSuspensionExpirationTime %TIMESTAMP;>
<!ELEMENT ProcInstSuspensionTime           %TIMESTAMP;>
<!ELEMENT ProcTemplValidFromDate           %TIMESTAMP;>
<!ELEMENT SuspensionExpirationTime         %TIMESTAMP;>
<!ELEMENT Timestamp                        %TIMESTAMP;>

<!ELEMENT ActImplCorrelID                  %COID;>
<!ELEMENT ExternalProcessContext           %OPAQUE;>
<!ELEMENT ProcInstID                       %OID;>
<!ELEMENT ProcInstParentID                 %OID;>
<!ELEMENT ProcInstTopLevelID               %OID;>
<!ELEMENT ProcTemplID                      %OID;>
<!ELEMENT SecondUserID                     %UID;>
<!ELEMENT UserContext                      %OPAQUE;>
<!ELEMENT UserID                           %UID;>

<!ELEMENT ImplementationPlatform           %PLATFORM;>
<!ELEMENT ProcInstState                    %STATE;>
<!ELEMENT ResponseRequired                 %RESPONSE;>
<!ELEMENT TimeoutPeriod                    %TIMEOUT;>
<!ELEMENT WindowStyle                      %STYLE;>
