<?xml version='1.0' encoding='UTF-8'?>

<!-- XML Schema Definition for MQSeries Workflow XML messages -->
<!-- This file ("%OutputFileName%") was generated -->
<!-- by %GeneratorName% on %GeneratedDate% -->
<!-- from FDL file "%InputFileName%" -->

<xs:schema targetNamespace = '%ServiceSchemaNamespace%'
           xmlns:%SNS%       = '%ServiceSchemaNamespace%'
           xmlns:%WFNS%        = '%ServiceSchemaNamespace%'
           xmlns:xs        = '%XMLSchema%/XMLSchema'
           version         = '3.3.2'>

<!-- ========================================== -->
<!-- Message and Container primitive data types -->
<!-- ========================================== -->

<xs:simpleType name='STRING'>
 <xs:restriction base='xs:string'>
  <xs:maxLength value='4194304'/>
 </xs:restriction>
</xs:simpleType>

<xs:simpleType name='LONG'>
 <xs:restriction base='xs:integer'>
  <xs:minInclusive value='-2147483648'/>
  <xs:maxInclusive value='2147483647'/>
 </xs:restriction>
</xs:simpleType>

<xs:simpleType name='BINARY'>
 <xs:restriction base='xs:base64Binary'>
  <xs:maxLength value='4194304'/>
 </xs:restriction>
</xs:simpleType>

<!-- ===================================== -->
<!-- Container (only) primitive data types -->
<!-- ===================================== -->

<xs:simpleType name='FLOAT'>
 <xs:restriction base='xs:double'>
  <xs:minInclusive value='-4.9E-324'/>
  <xs:maxInclusive value='1.7976931348623157E308'/>
 </xs:restriction>
</xs:simpleType>

<!-- =================================== -->
<!-- Message (only) primitive data types -->
<!-- =================================== -->

<xs:simpleType name='UID'>
 <xs:restriction base='xs:string'>
  <xs:maxLength value='32'/>
 </xs:restriction>
</xs:simpleType>

<xs:simpleType name='OID'>
 <xs:restriction base='wf:BINARY'>
  <xs:maxLength value='64'/>
 </xs:restriction>
</xs:simpleType>

<xs:simpleType name='COID'>
 <xs:restriction base='wf:BINARY'>
  <xs:minLength value='80'/>
  <xs:maxLength value='80'/>
 </xs:restriction>
</xs:simpleType>

<xs:simpleType name='OPAQUE'>
 <xs:restriction base='wf:BINARY'>
  <xs:maxLength value='254'/>
 </xs:restriction>
</xs:simpleType>

<xs:simpleType name='TIMESTAMP'>
 <xs:restriction base='xs:dateTime'/>
</xs:simpleType>

<!-- ===================================== -->
<!-- Message (only) enumeration data types -->
<!-- ===================================== -->

<xs:simpleType name='PLATFORM'>
 <xs:restriction base='xs:string'>
  <xs:enumeration value='OS2'/>
  <xs:enumeration value='AIX'/>
  <xs:enumeration value='HPUX'/>
  <xs:enumeration value='Windows95'/>
  <xs:enumeration value='WindowsNT'/>
  <xs:enumeration value='OS390'/>
  <xs:enumeration value='Solaris'/>
 </xs:restriction>
</xs:simpleType>

<xs:simpleType name='STATE'>
 <xs:restriction base='xs:string'>
  <xs:enumeration value='Deleted'/>
  <xs:enumeration value='Finished'/>
  <xs:enumeration value='Ready'/>
  <xs:enumeration value='Running'/>
  <xs:enumeration value='Suspended'/>
  <xs:enumeration value='Suspending'/>
  <xs:enumeration value='Terminated'/>
  <xs:enumeration value='Terminating'/>
 </xs:restriction>
</xs:simpleType>

<xs:simpleType name='RESPONSE'>
 <xs:restriction base='xs:string'>
  <xs:enumeration value='No'/>
  <xs:enumeration value='Yes'/>
  <xs:enumeration value='IfError'/>
 </xs:restriction>
</xs:simpleType>

<xs:simpleType name='TIMEOUT'>
 <xs:restriction base='xs:string'>
  <xs:enumeration value='TimeInterval'/>
  <xs:enumeration value='Forever'/>
  <xs:enumeration value='Never'/>
 </xs:restriction>
</xs:simpleType>

<xs:simpleType name='STYLE'>
 <xs:restriction base='xs:string'>
  <xs:enumeration value='Visible'/>
  <xs:enumeration value='Invisible'/>
  <xs:enumeration value='Minimized'/>
  <xs:enumeration value='Maximized'/>
 </xs:restriction>
</xs:simpleType>

<!-- =========================================== -->
<!-- Container (only) primitive array data types -->
<!-- =========================================== -->

<xs:complexType name='nullType'/>

<xs:complexType name='LONG_ARRAY' mixed='true'>
 <xs:sequence>
  <xs:element name='null' type='%WFNS%:nullType'/>
 </xs:sequence>
</xs:complexType>

<xs:complexType name='FLOAT_ARRAY' mixed='true'>
 <xs:sequence>
  <xs:element name='null' type='%WFNS%:nullType'/>
 </xs:sequence>
</xs:complexType>

<xs:complexType name='STRING_ARRAY' mixed='true'>
 <xs:sequence>
  <xs:element name='null' type='%WFNS%:nullType'/>
 </xs:sequence>
</xs:complexType>

<xs:complexType name='BINARY_ARRAY' mixed='true'>
 <xs:sequence>
  <xs:element name='null' type='%WFNS%:nullType'/>
 </xs:sequence>
</xs:complexType>

<!-- ============================================ -->
<!-- Container fixed and predefined element types -->
<!-- ============================================ -->

<xs:group name='_CONTAINER_INFO'>
 <xs:sequence>
  <xs:element name='_RC' type='%WFNS%:LONG' minOccurs='0'/>
  <xs:element name='_PROCESS' type='%WFNS%:STRING' minOccurs='0'/>
  <xs:element name='_PROCESS_MODEL' type='%WFNS%:STRING' minOccurs='0'/>
  <xs:element name='_ACTIVITY' type='%WFNS%:STRING' minOccurs='0'/>
  <xs:element name='_PROCESS_INFO' minOccurs='0'>
   <xs:complexType>
    <xs:sequence>
     <xs:element name='Role' type='%WFNS%:STRING' minOccurs='0'/>
     <xs:element name='Organization' type='%WFNS%:STRING' minOccurs='0'/>
     <xs:element name='ProcessAdministrator' type='%WFNS%:STRING' minOccurs='0'/>
     <xs:element name='Duration' type='%WFNS%:LONG' minOccurs='0'/>
    </xs:sequence>
   </xs:complexType>
  </xs:element>
  <xs:element name='_ACTIVITY_INFO' minOccurs='0'>
   <xs:complexType>
    <xs:sequence>
     <xs:element name='Priority' type='%WFNS%:LONG' minOccurs='0'/>
     <xs:element name='MembersOfRoles' type='%WFNS%:STRING' minOccurs='0'/>
     <xs:element name='CoordinatorOfRole' type='%WFNS%:STRING' minOccurs='0'/>
     <xs:element name='Organization' type='%WFNS%:STRING' minOccurs='0'/>
     <xs:element name='OrganizationType' type='%WFNS%:LONG' minOccurs='0'/>
     <xs:element name='LowerLevel' type='%WFNS%:LONG' minOccurs='0'/>
     <xs:element name='UpperLevel' type='%WFNS%:LONG' minOccurs='0'/>
     <xs:element name='People' type='%WFNS%:STRING' minOccurs='0'/>
     <xs:element name='PersonToNotify' type='%WFNS%:STRING' minOccurs='0'/>
     <xs:element name='Duration' type='%WFNS%:LONG' minOccurs='0'/>
     <xs:element name='Duration2' type='%WFNS%:LONG' minOccurs='0'/>
    </xs:sequence>
   </xs:complexType>
  </xs:element>
 </xs:sequence>
</xs:group>

<!-- ========================================== -->
<!-- Container element types generated from FDL -->
<!-- ========================================== -->

<!-- _GENERATED_DATA_STRUCTURE_XSD_ -->

<xs:element name='GlobalContainerContent'    type='%WFNS%:_CONTAINER'/>
<xs:element name='ProcInstInputData'         type='%WFNS%:_CONTAINER'/>
<xs:element name='ProcInstOutputData'        type='%WFNS%:_CONTAINER'/>
<xs:element name='ProgramInputData'          type='%WFNS%:_CONTAINER'/>
<xs:element name='ProgramOutputData'         type='%WFNS%:_CONTAINER'/>
<xs:element name='ProgramOutputDataDefaults' type='%WFNS%:_CONTAINER'/>

<!-- ========================= -->
<!-- MQSeries Workflow Message -->
<!-- ========================= -->

<xs:element name='WfMessage'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:WfMessageHeader' minOccurs='0'/>
   <xs:choice>
    <xs:element ref='%WFNS%:ActivityExpired'/>
    <xs:element ref='%WFNS%:ActivityImplInvoke'/>
    <xs:element ref='%WFNS%:ActivityImplInvokeResponse'/>
    <xs:element ref='%WFNS%:AuditTrailRecord'/>
    <xs:element ref='%WFNS%:GeneralError'/>
    <xs:element ref='%WFNS%:ProcessInstanceDelete'/>
    <xs:element ref='%WFNS%:ProcessInstanceDeleteResponse'/>
    <xs:element ref='%WFNS%:ProcessInstanceRestart'/>
    <xs:element ref='%WFNS%:ProcessInstanceRestartResponse'/>
    <xs:element ref='%WFNS%:ProcessInstanceResume'/>
    <xs:element ref='%WFNS%:ProcessInstanceResumeResponse'/>
    <xs:element ref='%WFNS%:ProcessInstanceStart'/>
    <xs:element ref='%WFNS%:ProcessInstanceStartResponse'/>
    <xs:element ref='%WFNS%:ProcessInstanceSuspend'/>
    <xs:element ref='%WFNS%:ProcessInstanceSuspendResponse'/>
    <xs:element ref='%WFNS%:ProcessInstanceTerminate'/>
    <xs:element ref='%WFNS%:ProcessInstanceTerminateResponse'/>
    <xs:element ref='%WFNS%:ProcessTemplateCreateAndStartInstance'/>
    <xs:element ref='%WFNS%:ProcessTemplateCreateAndStartInstanceResponse'/>
    <xs:element ref='%WFNS%:ProcessTemplateCreateInstance'/>
    <xs:element ref='%WFNS%:ProcessTemplateCreateInstanceResponse'/>
    <xs:element ref='%WFNS%:ProcessTemplateExecute'/>
    <xs:element ref='%WFNS%:ProcessTemplateExecuteResponse'/>
    <xs:element ref='%WFNS%:TerminateProgram'/>
   </xs:choice>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<!-- ============== -->
<!-- Message Header -->
<!-- ============== -->

<xs:element name='WfMessageHeader'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:ResponseRequired' minOccurs='0'/>
   <xs:element ref='%WFNS%:UserContext' minOccurs='0'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<!-- ========================= -->
<!-- 'ActivityExpired' Message -->
<!-- ========================= -->

<xs:element name='ActivityExpired'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:ActImplCorrelID'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<!-- ============================= -->
<!-- 'ActivityImplInvoke' Messages -->
<!-- ============================= -->

<xs:element name='ActivityImplInvoke'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:ActImplCorrelID'/>
   <xs:element ref='%WFNS%:Starter'/>
   <xs:element ref='%WFNS%:ProgramID'/>
   <xs:element ref='%WFNS%:ExternalProcessContext' minOccurs='0'/>
   <xs:element ref='%WFNS%:ImplementationData' minOccurs='0' maxOccurs='unbounded'/>
   <xs:element ref='%WFNS%:ProgramInputData'/>
   <xs:element ref='%WFNS%:ProgramOutputDataDefaults'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<xs:element name='ActivityImplInvokeResponse'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:ActImplCorrelID'/>
   <xs:choice>
    <xs:sequence>
     <xs:element ref='%WFNS%:ProgramRC'/>
     <xs:element ref='%WFNS%:ProgramOutputData'/>
    </xs:sequence>
    <xs:element ref='%WFNS%:Exception'/>
   </xs:choice>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<!-- ========================== -->
<!-- 'AuditTrailRecord' Message -->
<!-- ========================== -->

<xs:element name='AuditTrailRecord'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:Timestamp'/>
   <xs:element ref='%WFNS%:AuditEvent'/>
   <xs:element ref='%WFNS%:ProcInstName'/>
   <xs:element ref='%WFNS%:ProcInstID'/>
   <xs:element ref='%WFNS%:ProcInstTopLevelName'/>
   <xs:element ref='%WFNS%:ProcInstTopLevelID'/>
   <xs:element ref='%WFNS%:ProcInstParentName' minOccurs='0'/>
   <xs:element ref='%WFNS%:ProcInstParentID' minOccurs='0'/>
   <xs:element ref='%WFNS%:ProcTemplName'/>
   <xs:element ref='%WFNS%:ProcTemplValidFromDate' minOccurs='0'/>
   <xs:element ref='%WFNS%:BlockNames' minOccurs='0'/>
   <xs:element ref='%WFNS%:UserID' minOccurs='0'/>
   <xs:element ref='%WFNS%:SecondUserID' minOccurs='0'/>
   <xs:element ref='%WFNS%:ActivityName' minOccurs='0'/>
   <xs:element ref='%WFNS%:ActivityType' minOccurs='0'/>
   <xs:element ref='%WFNS%:ActivityState' minOccurs='0'/>
   <xs:element ref='%WFNS%:SecondActivityName' minOccurs='0'/>
   <xs:element ref='%WFNS%:CommandParameters' minOccurs='0'/>
   <xs:element ref='%WFNS%:AssociatedObject' minOccurs='0'/>
   <xs:element ref='%WFNS%:ObjectDescription' minOccurs='0'/>
   <xs:element ref='%WFNS%:ProgramName' minOccurs='0'/>
   <xs:element ref='%WFNS%:ProgramRC' minOccurs='0'/>
   <xs:element ref='%WFNS%:GlobalContainerContent' minOccurs='0'/>
   <xs:element ref='%WFNS%:ExternalProcessContext' minOccurs='0'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<!-- ====================== -->
<!-- 'GeneralError' Message -->
<!-- ====================== -->

<xs:element name='GeneralError'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:Exception'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<!-- ================================ -->
<!-- 'ProcessInstanceDelete' Messages -->
<!-- ================================ -->

<xs:element name='ProcessInstanceDelete'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:ProcInstName'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<xs:element name='ProcessInstanceDeleteResponse'>
 <xs:complexType>
  <xs:choice>
   <xs:element ref='%WFNS%:ProcessInstance'/>
   <xs:element ref='%WFNS%:Exception'/>
  </xs:choice>
 </xs:complexType>
</xs:element>

<!-- ================================= -->
<!-- 'ProcessInstanceRestart' Messages -->
<!-- ================================= -->

<xs:element name='ProcessInstanceRestart'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:ProcInstName'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<xs:element name='ProcessInstanceRestartResponse'>
 <xs:complexType>
  <xs:choice>
   <xs:element ref='%WFNS%:ProcessInstance'/>
   <xs:element ref='%WFNS%:Exception'/>
  </xs:choice>
 </xs:complexType>
</xs:element>

<!-- ================================ -->
<!-- 'ProcessInstanceResume' Messages -->
<!-- ================================ -->

<xs:element name='ProcessInstanceResume'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:ProcInstName'/>
   <xs:element ref='%WFNS%:Deep'/>
   <xs:element ref='%WFNS%:ProcInstInputData' minOccurs='0'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<xs:element name='ProcessInstanceResumeResponse'>
 <xs:complexType>
  <xs:choice>
   <xs:element ref='%WFNS%:ProcessInstance'/>
   <xs:element ref='%WFNS%:Exception'/>
  </xs:choice>
 </xs:complexType>
</xs:element>

<!-- =============================== -->
<!-- 'ProcessInstanceStart' Messages -->
<!-- =============================== -->

<xs:element name='ProcessInstanceStart'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:ProcInstName'/>
   <xs:element ref='%WFNS%:ExternalProcessContext' minOccurs='0'/>
   <xs:element ref='%WFNS%:ProcInstInputData' minOccurs='0'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<xs:element name='ProcessInstanceStartResponse'>
 <xs:complexType>
  <xs:choice>
   <xs:element ref='%WFNS%:ProcessInstance'/>
   <xs:element ref='%WFNS%:Exception'/>
  </xs:choice>
 </xs:complexType>
</xs:element>

<!-- ================================= -->
<!-- 'ProcessInstanceSuspend' Messages -->
<!-- ================================= -->

<xs:element name='ProcessInstanceSuspend'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:ProcInstName'/>
   <xs:element ref='%WFNS%:SuspensionExpirationTime' minOccurs='0'/>
   <xs:element ref='%WFNS%:Deep'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<xs:element name='ProcessInstanceSuspendResponse'>
 <xs:complexType>
  <xs:choice>
   <xs:element ref='%WFNS%:ProcessInstance'/>
   <xs:element ref='%WFNS%:Exception'/>
  </xs:choice>
 </xs:complexType>
</xs:element>

<!-- =================================== -->
<!-- 'ProcessInstanceTerminate' Messages -->
<!-- =================================== -->

<xs:element name='ProcessInstanceTerminate'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:ProcInstName'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<xs:element name='ProcessInstanceTerminateResponse'>
 <xs:complexType>
  <xs:choice>
   <xs:element ref='%WFNS%:ProcessInstance'/>
   <xs:element ref='%WFNS%:Exception'/>
  </xs:choice>
 </xs:complexType>
</xs:element>

<!-- ================================================ -->
<!-- 'ProcessTemplateCreateAndStartInstance' Messages -->
<!-- ================================================ -->

<xs:element name='ProcessTemplateCreateAndStartInstance'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:ProcTemplName'/>
   <xs:element ref='%WFNS%:ProcInstName' minOccurs='0'/>
   <xs:element ref='%WFNS%:KeepName' minOccurs='0'/>
   <xs:element ref='%WFNS%:ExternalProcessContext' minOccurs='0'/>
   <xs:element ref='%WFNS%:ProcInstInputData' minOccurs='0'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<xs:element name='ProcessTemplateCreateAndStartInstanceResponse'>
 <xs:complexType>
  <xs:choice>
   <xs:element ref='%WFNS%:ProcessInstance'/>
   <xs:element ref='%WFNS%:Exception'/>
  </xs:choice>
 </xs:complexType>
</xs:element>

<!-- ======================================== -->
<!-- 'ProcessTemplateCreateInstance' Messages -->
<!-- ======================================== -->

<xs:element name='ProcessTemplateCreateInstance'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:ProcTemplName'/>
   <xs:element ref='%WFNS%:ProcInstName' minOccurs='0'/>
   <xs:element ref='%WFNS%:KeepName' minOccurs='0'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<xs:element name='ProcessTemplateCreateInstanceResponse'>
 <xs:complexType>
  <xs:choice>
   <xs:element ref='%WFNS%:ProcessInstance'/>
   <xs:element ref='%WFNS%:Exception'/>
  </xs:choice>
 </xs:complexType>
</xs:element>

<!-- ================================= -->
<!-- 'ProcessTemplateExecute' Messages -->
<!-- ================================= -->

<xs:element name='ProcessTemplateExecute'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:ProcTemplName'/>
   <xs:element ref='%WFNS%:ProcInstName' minOccurs='0'/>
   <xs:element ref='%WFNS%:KeepName' minOccurs='0'/>
   <xs:element ref='%WFNS%:ExternalProcessContext' minOccurs='0'/>
   <xs:element ref='%WFNS%:ProcInstInputData' minOccurs='0'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<xs:element name='ProcessTemplateExecuteResponse'>
 <xs:complexType>
  <xs:choice>
   <xs:sequence>
    <xs:element ref='%WFNS%:ProcessInstance'/>
    <xs:element ref='%WFNS%:ProcInstOutputData' minOccurs='0'/>
   </xs:sequence>
   <xs:element ref='%WFNS%:Exception'/>
  </xs:choice>
 </xs:complexType>
</xs:element>

<!-- ========================== -->
<!-- 'TerminateProgram' Message -->
<!-- ========================== -->

<xs:element name='TerminateProgram'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:ActImplCorrelID'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<!-- ============================= -->
<!-- Process Instance element type -->
<!-- ============================= -->

<xs:element name='ProcessInstance'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:ProcInstID'/>
   <xs:element ref='%WFNS%:ProcInstName'/>
   <xs:element ref='%WFNS%:ProcInstParentName' minOccurs='0'/>
   <xs:element ref='%WFNS%:ProcInstTopLevelName'/>
   <xs:element ref='%WFNS%:ProcInstDescription' minOccurs='0'/>
   <xs:element ref='%WFNS%:ProcInstState'/>
   <xs:element ref='%WFNS%:LastStateChangeTime'/>
   <xs:element ref='%WFNS%:LastModificationTime'/>
   <xs:element ref='%WFNS%:ProcTemplID'/>
   <xs:element ref='%WFNS%:ProcTemplName'/>
   <xs:element ref='%WFNS%:ProcTemplValidFromDate' minOccurs='0'/>
   <xs:element ref='%WFNS%:Icon'/>
   <xs:element ref='%WFNS%:Category' minOccurs='0'/>
   <xs:element ref='%WFNS%:ProcInstSuspensionTime' minOccurs='0'/>
   <xs:element ref='%WFNS%:ProcInstSuspensionExpirationTime' minOccurs='0'/>
   <xs:element ref='%WFNS%:ExternalProcessContext' minOccurs='0'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<!-- ======================= -->
<!-- Program ID element type -->
<!-- ======================= -->

<xs:element name='ProgramID'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:ProcTemplID'/>
   <xs:element ref='%WFNS%:ProgramName'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<!-- ================================= -->
<!-- Implementation Data element types -->
<!-- ================================= -->

<xs:element name='ImplementationData'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:ImplementationPlatform'/>
   <xs:element ref='%WFNS%:ProgramParameters'/>
   <xs:choice>
    <xs:element ref='%WFNS%:ExeOptions'/>
    <xs:element ref='%WFNS%:DllOptions'/>
    <xs:element ref='%WFNS%:ExternalOptions'/>
   </xs:choice>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<xs:element name='ExeOptions'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:PathAndFileName'/>
   <xs:element ref='%WFNS%:WorkingDirectoryName' minOccurs='0'/>
   <xs:element ref='%WFNS%:Environment' minOccurs='0'/>
   <xs:element ref='%WFNS%:InheritEnvironment'/>
   <xs:element ref='%WFNS%:StartInForeGround' minOccurs='0'/>
   <xs:element ref='%WFNS%:AutomaticClose' minOccurs='0'/>
   <xs:element ref='%WFNS%:WindowStyle' minOccurs='0'/>
   <xs:element ref='%WFNS%:RunInXTerm' minOccurs='0'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<xs:element name='DllOptions'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:PathAndFileName'/>
   <xs:element ref='%WFNS%:EntryPointName'/>
   <xs:element ref='%WFNS%:ExecuteFenced' minOccurs='0'/>
   <xs:element ref='%WFNS%:KeepLoaded' minOccurs='0'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<xs:element name='ExternalOptions'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:ServiceName'/>
   <xs:element ref='%WFNS%:ServiceType'/>
   <xs:element ref='%WFNS%:InvocationType'/>
   <xs:element ref='%WFNS%:ExecutableName'/>
   <xs:element ref='%WFNS%:ExecutableType'/>
   <xs:element ref='%WFNS%:IsLocalUser'/>
   <xs:element ref='%WFNS%:IsSecurityRoutineCall'/>
   <xs:element ref='%WFNS%:CodePage' minOccurs='0'/>
   <xs:element ref='%WFNS%:TimeoutPeriod'/>
   <xs:element ref='%WFNS%:TimeoutInterval' minOccurs='0'/>
   <xs:element ref='%WFNS%:IsMappingRoutineCall'/>
   <xs:element ref='%WFNS%:MappingType' minOccurs='0'/>
   <xs:element ref='%WFNS%:ForwardMappingFormat' minOccurs='0'/>
   <xs:element ref='%WFNS%:ForwardMappingParameters' minOccurs='0'/>
   <xs:element ref='%WFNS%:BackwardMappingFormat' minOccurs='0'/>
   <xs:element ref='%WFNS%:BackwardMappingParameters' minOccurs='0'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<!-- ======================= -->
<!-- Exception element types -->
<!-- ======================= -->

<xs:element name='Exception'>
 <xs:complexType>
  <xs:sequence>
   <xs:element ref='%WFNS%:Rc' minOccurs='0'/>
   <xs:element name='Parameters' type='%WFNS%:Parameters' minOccurs='0'/>
   <xs:element ref='%WFNS%:MessageText'/>
   <xs:element ref='%WFNS%:Origin' minOccurs='0'/>
  </xs:sequence>
 </xs:complexType>
</xs:element>

<xs:complexType name='Parameters'>
 <xs:sequence>
  <xs:element name='Parameter' minOccurs='0' maxOccurs='7' type='%WFNS%:STRING'/>
 </xs:sequence>
</xs:complexType>

<!-- ================== -->
<!-- Data element types -->
<!-- ================== -->

<xs:element name='AutomaticClose'                   type='xs:boolean'/>
<xs:element name='Deep'                             type='xs:boolean'/>
<xs:element name='ExecuteFenced'                    type='xs:boolean'/>
<xs:element name='InheritEnvironment'               type='xs:boolean'/>
<xs:element name='IsLocalUser'                      type='xs:boolean'/>
<xs:element name='IsMappingRoutineCall'             type='xs:boolean'/>
<xs:element name='IsSecurityRoutineCall'            type='xs:boolean'/>
<xs:element name='KeepLoaded'                       type='xs:boolean'/>
<xs:element name='KeepName'                         type='xs:boolean'/>
<xs:element name='RunInXTerm'                       type='xs:boolean'/>
<xs:element name='StartInForeGround'                type='xs:boolean'/>

<xs:element name='ActivityName'                     type='%WFNS%:STRING'/>
<xs:element name='AssociatedObject'                 type='%WFNS%:STRING'/>
<xs:element name='BackwardMappingFormat'            type='%WFNS%:STRING'/>
<xs:element name='BackwardMappingParameters'        type='%WFNS%:STRING'/>
<xs:element name='BlockNames'                       type='%WFNS%:STRING'/>
<xs:element name='Category'                         type='%WFNS%:STRING'/>
<xs:element name='CommandParameters'                type='%WFNS%:STRING'/>
<xs:element name='EntryPointName'                   type='%WFNS%:STRING'/>
<xs:element name='Environment'                      type='%WFNS%:STRING'/>
<xs:element name='ExecutableName'                   type='%WFNS%:STRING'/>
<xs:element name='ExecutableType'                   type='%WFNS%:STRING'/>
<xs:element name='ForwardMappingFormat'             type='%WFNS%:STRING'/>
<xs:element name='ForwardMappingParameters'         type='%WFNS%:STRING'/>
<xs:element name='Icon'                             type='%WFNS%:STRING'/>
<xs:element name='InvocationType'                   type='%WFNS%:STRING'/>
<xs:element name='MappingType'                      type='%WFNS%:STRING'/>
<xs:element name='MessageText'                      type='%WFNS%:STRING'/>
<xs:element name='ObjectDescription'                type='%WFNS%:STRING'/>
<xs:element name='Origin'                           type='%WFNS%:STRING'/>
<xs:element name='Parameter'                        type='%WFNS%:STRING'/>
<xs:element name='PathAndFileName'                  type='%WFNS%:STRING'/>
<xs:element name='ProcInstDescription'              type='%WFNS%:STRING'/>
<xs:element name='ProcInstName'                     type='%WFNS%:STRING'/>
<xs:element name='ProcInstParentName'               type='%WFNS%:STRING'/>
<xs:element name='ProcInstTopLevelName'             type='%WFNS%:STRING'/>
<xs:element name='ProcTemplName'                    type='%WFNS%:STRING'/>
<xs:element name='ProgramName'                      type='%WFNS%:STRING'/>
<xs:element name='ProgramParameters'                type='%WFNS%:STRING'/>
<xs:element name='SecondActivityName'               type='%WFNS%:STRING'/>
<xs:element name='ServiceName'                      type='%WFNS%:STRING'/>
<xs:element name='ServiceType'                      type='%WFNS%:STRING'/>
<xs:element name='Starter'                          type='%WFNS%:STRING'/>
<xs:element name='WorkingDirectoryName'             type='%WFNS%:STRING'/>

<xs:element name='ActivityState'                    type='%WFNS%:LONG'/>
<xs:element name='ActivityType'                     type='%WFNS%:LONG'/>
<xs:element name='AuditEvent'                       type='%WFNS%:LONG'/>
<xs:element name='CodePage'                         type='%WFNS%:LONG'/>
<xs:element name='ProgramRC'                        type='%WFNS%:LONG'/>
<xs:element name='Rc'                               type='%WFNS%:LONG'/>
<xs:element name='TimeoutInterval'                  type='%WFNS%:LONG'/>

<xs:element name='LastModificationTime'             type='%WFNS%:TIMESTAMP'/>
<xs:element name='LastStateChangeTime'              type='%WFNS%:TIMESTAMP'/>
<xs:element name='ProcInstSuspensionExpirationTime' type='%WFNS%:TIMESTAMP'/>
<xs:element name='ProcInstSuspensionTime'           type='%WFNS%:TIMESTAMP'/>
<xs:element name='ProcTemplValidFromDate'           type='%WFNS%:TIMESTAMP'/>
<xs:element name='SuspensionExpirationTime'         type='%WFNS%:TIMESTAMP'/>
<xs:element name='Timestamp'                        type='%WFNS%:TIMESTAMP'/>

<xs:element name='ActImplCorrelID'                  type='%WFNS%:COID'/>
<xs:element name='ExternalProcessContext'           type='%WFNS%:OPAQUE'/>
<xs:element name='ProcInstID'                       type='%WFNS%:OID'/>
<xs:element name='ProcInstParentID'                 type='%WFNS%:OID'/>
<xs:element name='ProcInstTopLevelID'               type='%WFNS%:OID'/>
<xs:element name='ProcTemplID'                      type='%WFNS%:OID'/>
<xs:element name='SecondUserID'                     type='%WFNS%:UID'/>
<xs:element name='UserContext'                      type='%WFNS%:OPAQUE'/>
<xs:element name='UserID'                           type='%WFNS%:UID'/>

<xs:element name='ImplementationPlatform'           type='%WFNS%:PLATFORM'/>
<xs:element name='ProcInstState'                    type='%WFNS%:STATE'/>
<xs:element name='ResponseRequired'                 type='%WFNS%:RESPONSE'/>
<xs:element name='TimeoutPeriod'                    type='%WFNS%:TIMEOUT'/>
<xs:element name='WindowStyle'                      type='%WFNS%:STYLE'/>

</xs:schema>
