<?xml version="1.0" ?>


<!-- ********************************************************* -->
<!-- *                                                       * -->
<!-- ********************************************************* -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:wf="http://www.ibm.com/workflow/2001"
                version="1.0">

  <xsl:template name="server" match="wf:server">
    <xsl:param name="ini"/>
    <xsl:param name="procOption"/>
    <xsl:if test="$procOption='Create'">
      <xsl:text>CREATE&#x20;</xsl:text>
    </xsl:if>
    <xsl:if test="$procOption='Update'">
      <xsl:text>UPDATE&#x20;</xsl:text>
    </xsl:if>
    <xsl:if test="$procOption='Replace'">
      <xsl:text>REPLACE&#x20;</xsl:text>
    </xsl:if>
    <xsl:text>SERVER </xsl:text>
    <xsl:call-template name="singlequote">
      <xsl:with-param name="string" select="@name"/>
    </xsl:call-template>
    <xsl:value-of select='$eol'/>

    <xsl:apply-templates select="wf:relatedGroup">
      <xsl:with-param name="ini" select="$indent"/>
    </xsl:apply-templates>
    <xsl:value-of select='$eol'/>

    <xsl:apply-templates select="wf:relatedSystem">
      <xsl:with-param name="ini" select="$indent"/>
    </xsl:apply-templates>
    <xsl:value-of select='$eol'/>

    <xsl:apply-templates select="wf:userDefinedProgramExecutionServer">
      <xsl:with-param name="ini" select="$indent"/>
    </xsl:apply-templates>
    <xsl:value-of select='$eol'/>

    <xsl:text>END </xsl:text>
    <xsl:call-template name="singlequote">
      <xsl:with-param name="string" select="@name"/>
    </xsl:call-template>
    <xsl:value-of select='$eol'/>
    <xsl:value-of select='$eol'/>
  </xsl:template>

  <xsl:template match="wf:relatedGroup">
    <xsl:param name="ini"/>
    <xsl:value-of select="$ini"/>
    <xsl:text>RELATED_GROUP </xsl:text>
    <xsl:call-template name="singlequote">
      <xsl:with-param name="string" select="@name"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="wf:relatedSystem">
    <xsl:param name="ini"/>
    <xsl:value-of select="$ini"/>
    <xsl:text>RELATED_SYSTEM </xsl:text>
    <xsl:call-template name="singlequote">
      <xsl:with-param name="string" select="@name"/>
    </xsl:call-template>
  </xsl:template>

<!-- ********************************************************* -->
<!-- * server settings                                       * -->
<!-- ********************************************************* -->

  <xsl:template match="wf:userDefinedProgramExecutionServer">
    <xsl:param name="ini"/>
    <xsl:variable name="subitem" select="concat($ini, $indent)"/>
    <xsl:value-of select="$ini"/>
    <xsl:text>TYPE USER_DEFINED_PROGRAM_EXECUTION_SERVER</xsl:text>
    <xsl:value-of select='$eol'/>
    <xsl:if test ="@mqsystem">
      <xsl:value-of select="$subitem"/>
      <xsl:text>MQSYSTEM </xsl:text>
      <xsl:value-of select="@mqsystem"/>
      <xsl:value-of select='$eol'/>
    </xsl:if>
    <xsl:if test ="@messageFormat">
      <xsl:value-of select="$subitem"/>
      <xsl:text>MESSAGE_FORMAT </xsl:text>
      <xsl:value-of select="@messageFormat"/>
      <xsl:value-of select='$eol'/>
    </xsl:if>
    <xsl:apply-templates select="wf:physicalQueue">
      <xsl:with-param name="ini" select="$subitem"/>
    </xsl:apply-templates>
    <xsl:value-of select='$eol'/>
    <xsl:apply-templates select="wf:queueManager">
      <xsl:with-param name="ini" select="$subitem"/>
    </xsl:apply-templates>
  </xsl:template>

  <xsl:template match="wf:physicalQueue">
    <xsl:param name="ini"/>
    <xsl:value-of select="$ini"/>
    <xsl:text>PHYSICAL_QUEUE_NAME </xsl:text>
    <xsl:call-template name="doublequote">
      <xsl:with-param name="string" select="@name"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="wf:queueManager">
    <xsl:param name="ini"/>
    <xsl:value-of select="$ini"/>
    <xsl:text>QUEUE_MANAGER_NAME </xsl:text>
    <xsl:call-template name="doublequote">
      <xsl:with-param name="string" select="@name"/>
    </xsl:call-template>
  </xsl:template>

</xsl:stylesheet>
