<?xml version='1.0'?>

<xsl:stylesheet xmlns:xsl      = 'http://www.w3.org/1999/XSL/Transform'
                xmlns:wsdl     = 'http://schemas.xmlsoap.org/wsdl/'
                xmlns:wsfl     = 'http://schemas.xmlsoap.org/wsfl'
                xmlns:lxslt    = 'http://xml.apache.org/xslt'
                xmlns:java     = 'http://xml.apache.org/xslt/java'
                xmlns:redirect = 'xalan://org.apache.xalan.lib.Redirect'
                extension-element-prefixes='redirect'
                version = '1.0'>

<xsl:include href='xsl:/common.xsl'/>

<xsl:param name='generator'/>
<xsl:param name='input'/>
<xsl:param name='outdir'/>
<xsl:param name='options'/>

<xsl:output method='text' indent='no'/>
<xsl:template match='text()'/>

<xsl:template match='/'>
 <xsl:apply-templates select='wsfl:definitions'/>
</xsl:template>

<xsl:template match='wsfl:definitions'>
 <xsl:variable name='fileName' select='concat($outdir, @name, "DeploymentScript.bat")'/>
 <redirect:write select='$fileName'>
  <xsl:text>@echo off</xsl:text>
  <xsl:value-of select='$eol'/>
  <xsl:value-of select='$eol'/>
  <xsl:text>: MQSeries Workflow deployment script for WSFL definitions '</xsl:text>
  <xsl:value-of select='@name'/>
  <xsl:text>'</xsl:text>
  <xsl:value-of select='$eol'/>
  <xsl:text>: This file ("</xsl:text>
  <xsl:variable name='javaFile' select='java:java.io.File.new($fileName)'/>
  <xsl:variable name='absoluteFileName' select='java:getAbsolutePath($javaFile)'/>
  <xsl:value-of select='$absoluteFileName'/>
  <xsl:text>")</xsl:text>
  <xsl:value-of select='$eol'/>
  <xsl:text>: was generated by </xsl:text>
  <xsl:value-of select='$generator'/>
  <xsl:text> on </xsl:text>
  <xsl:value-of select='java:java.util.Date.new()'/>
  <xsl:value-of select='$eol'/>
  <xsl:text>: from WSFL file "</xsl:text>
  <xsl:value-of select='$input'/>
  <xsl:text>"</xsl:text>
  <xsl:value-of select='$eol'/>
  <xsl:value-of select='$eol'/>
  <xsl:text>@echo Importing FDL ...</xsl:text>
  <xsl:value-of select='$eol'/>
  <xsl:text>fmcibie -u</xsl:text>
  <xsl:value-of select='java:get($options, "UserID")'/>
  <xsl:text> -p</xsl:text>
  <xsl:value-of select='java:get($options, "Password")'/>
  <xsl:text> -i</xsl:text>
  <xsl:value-of select='@name'/>
  <xsl:text>.fdl -o -t</xsl:text>
  <xsl:value-of select='$eol'/>
  <xsl:text>@echo Done.</xsl:text>
  <xsl:value-of select='$eol'/>
 </redirect:write>
</xsl:template>

</xsl:stylesheet>
