// *****************************************************************************
// * IBM MQSeries Workflow XML Sample Scenario                                 *
// *****************************************************************************
//
//  Licensed Materials - Property of IBM
//  5697-FM3 5655-A96
//  (C) Copyright IBM Corp. 1999-2000
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract
//  with IBM Corp.
//
// *****************************************************************************
// *****************************************************************************
//  DISCLAIMER
//  ----------
//  This material contains programming source code for your consideration.
//  These examples have not been thoroughly tested under all conditions.
//  IBM, therefore, cannot guarantee or imply reliability, serviceability,
//  or function of these programs.
//  ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
//  WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
//  NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
//  FOR A PARTICULAR PURPOSE.
// *****************************************************************************
package com.ibm.workflow.sample.xml;

import com.ibm.workflow.upes.InvokeProgramData;
import com.ibm.workflow.upes.Tracer;

class ApprovalView extends javax.swing.JFrame implements Runnable
{
    protected transient java.beans.PropertyChangeSupport propertyChange;
    private String fieldFirstName = new String();
    private String fieldLastName = new String();
    private String fieldAddress = new String();
    private String fieldAmount = new String();
    private boolean fieldApproved = false;
    IvjEventHandler ivjEventHandler = new IvjEventHandler();
    private javax.swing.JButton ivjApproveButton = null;
    private javax.swing.JButton ivjRejectButton = null;
    private javax.swing.JPanel ivjJFrameContentPane = null;
    private javax.swing.JLabel ivjJLabel1 = null;
    private javax.swing.JLabel ivjJLabel2 = null;
    private javax.swing.JLabel ivjJLabel3 = null;
    private javax.swing.JLabel ivjJLabel5 = null;
    private javax.swing.JTextField ivjJTextField1 = null;
    private javax.swing.JTextField ivjJTextField2 = null;
    private javax.swing.JTextField ivjJTextField3 = null;
    private javax.swing.JTextField ivjJTextField5 = null;
    private boolean ivjConnPtoP1Aligning = false;
    private boolean ivjConnPtoP2Aligning = false;
    private boolean ivjConnPtoP3Aligning = false;
    private boolean ivjConnPtoP4Aligning = false;
    public CreditApprovalSampleListener model;

    class IvjEventHandler implements java.awt.event.ActionListener, java.beans.PropertyChangeListener
    {
        public void actionPerformed(java.awt.event.ActionEvent e)
        {
            if(e.getSource() == ApprovalView.this.getJButton1())
                connEtoM3(e);
            if(e.getSource() == ApprovalView.this.getJButton2())
                connEtoM4(e);
            if(e.getSource() == ApprovalView.this.getJButton1())
                connEtoC1(e);
            if(e.getSource() == ApprovalView.this.getJButton2())
                connEtoC2(e);
        };
        public void propertyChange(java.beans.PropertyChangeEvent evt)
        {
            if(evt.getSource() == ApprovalView.this && (evt.getPropertyName().equals("amount")))
                connPtoP1SetTarget();
            if(evt.getSource() == ApprovalView.this.getJTextField5())
                connPtoP1SetSource();
            if(evt.getSource() == ApprovalView.this && (evt.getPropertyName().equals("address")))
                connPtoP2SetTarget();
            if(evt.getSource() == ApprovalView.this.getJTextField3())
                connPtoP2SetSource();
            if(evt.getSource() == ApprovalView.this && (evt.getPropertyName().equals("lastName")))
                connPtoP3SetTarget();
            if(evt.getSource() == ApprovalView.this.getJTextField2())
                connPtoP3SetSource();
            if(evt.getSource() == ApprovalView.this && (evt.getPropertyName().equals("firstName")))
                connPtoP4SetTarget();
            if(evt.getSource() == ApprovalView.this.getJTextField1())
                connPtoP4SetSource();
        };
    };
    /**
     * ApprovalView - Konstruktorkommentar.
     */
    public ApprovalView()
    {
        super();
        initialize();
    }
    /**
     * ApprovalView - Konstruktorkommentar.
     */
    public ApprovalView(InvokeProgramData msg,CreditApprovalSampleListener m)
    {
        super();
        initialize();
        setFirstName((String)msg._ProgramInputData.GetMemberMap().get("ProgramInputData.CreditInfo.CreditRequestor.FirstName")); 
        setLastName((String)msg._ProgramInputData.GetMemberMap().get("ProgramInputData.CreditInfo.CreditRequestor.LastName"));
        setAddress((String)msg._ProgramInputData.GetMemberMap().get("ProgramInputData.CreditInfo.Address"));
        setAmount((String)msg._ProgramInputData.GetMemberMap().get("ProgramInputData.CreditInfo.CreditAmount"));
        setModel(m);
    }
    /**
     * ApprovalView - Konstruktorkommentar.
     * @param title java.lang.String
     */
    public ApprovalView(String title)
    {
        super(title);
    }
    /**
     * Die Methode addPropertyChangeListener wurde zur Untersttzung des Feldes propertyChange generiert.
     */
    public synchronized void addPropertyChangeListener(java.beans.PropertyChangeListener listener)
    {
        getPropertyChange().addPropertyChangeListener(listener);
    }
    /**
     * Comment
     */
    public void approveButtonPressed(java.awt.event.ActionEvent actionEvent)
    {
        Tracer.trace("approveButtonPressed");
        getModel().setApprove(true);
        getModel().TerminateAsyncWait();
        return;
    }
    /**
     * connEtoC1:  (JButton1.action.actionPerformed(java.awt.event.ActionEvent) --> ApprovalView.approveButtonPressed(Ljava.awt.event.ActionEvent;)V)
     * @param arg1 java.awt.event.ActionEvent
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private void connEtoC1(java.awt.event.ActionEvent arg1)
    {
        try
        {
            // user code begin {1}
            // user code end
            this.approveButtonPressed(arg1);
            // user code begin {2}
            // user code end
        }
        catch(java.lang.Throwable ivjExc)
        {
            // user code begin {3}
            // user code end
            handleException(ivjExc);
        }
    }
    /**
     * connEtoC2:  (JButton2.action.actionPerformed(java.awt.event.ActionEvent) --> ApprovalView.rejectButtonPressed(Ljava.awt.event.ActionEvent;)V)
     * @param arg1 java.awt.event.ActionEvent
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private void connEtoC2(java.awt.event.ActionEvent arg1)
    {
        try
        {
            // user code begin {1}
            // user code end
            this.rejectButtonPressed(arg1);
            // user code begin {2}
            // user code end
        }
        catch(java.lang.Throwable ivjExc)
        {
            // user code begin {3}
            // user code end
            handleException(ivjExc);
        }
    }
    /**
     * connEtoM3:  (JButton1.action.actionPerformed(java.awt.event.ActionEvent) --> ApprovalView.dispose()V)
     * @param arg1 java.awt.event.ActionEvent
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private void connEtoM3(java.awt.event.ActionEvent arg1)
    {
        try
        {
            // user code begin {1}
            // user code end
            this.dispose();
            // user code begin {2}
            // user code end
        }
        catch(java.lang.Throwable ivjExc)
        {
            // user code begin {3}
            // user code end
            handleException(ivjExc);
        }
    }
    /**
     * connEtoM4:  (JButton2.action.actionPerformed(java.awt.event.ActionEvent) --> ApprovalView.dispose()V)
     * @param arg1 java.awt.event.ActionEvent
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private void connEtoM4(java.awt.event.ActionEvent arg1)
    {
        try
        {
            // user code begin {1}
            // user code end
            this.dispose();
            // user code begin {2}
            // user code end
        }
        catch(java.lang.Throwable ivjExc)
        {
            // user code begin {3}
            // user code end
            handleException(ivjExc);
        }
    }
    /**
     * connPtoP1SetSource:  (JTextField5.text <--> ApprovalView.amount)
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private void connPtoP1SetSource()
    {
        /* Die Quelle des Zielobjekts definieren */
        try
        {
            if(ivjConnPtoP1Aligning == false)
            {
                // user code begin {1}
                // user code end
                ivjConnPtoP1Aligning = true;
                this.setAmount(getJTextField5().getText());
                // user code begin {2}
                // user code end
                ivjConnPtoP1Aligning = false;
            }
        }
        catch(java.lang.Throwable ivjExc)
        {
            ivjConnPtoP1Aligning = false;
            // user code begin {3}
            // user code end
            handleException(ivjExc);
        }
    }
    /**
     * connPtoP1SetTarget:  (JTextField5.text <--> ApprovalView.amount)
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private void connPtoP1SetTarget()
    {
        /* Das Ziel des Quellenobjekts definieren */
        try
        {
            if(ivjConnPtoP1Aligning == false)
            {
                // user code begin {1}
                // user code end
                ivjConnPtoP1Aligning = true;
                getJTextField5().setText(this.getAmount());
                // user code begin {2}
                // user code end
                ivjConnPtoP1Aligning = false;
            }
        }
        catch(java.lang.Throwable ivjExc)
        {
            ivjConnPtoP1Aligning = false;
            // user code begin {3}
            // user code end
            handleException(ivjExc);
        }
    }
    /**
     * connPtoP2SetSource:  (JTextField3.text <--> ApprovalView.address)
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private void connPtoP2SetSource()
    {
        /* Die Quelle des Zielobjekts definieren */
        try
        {
            if(ivjConnPtoP2Aligning == false)
            {
                // user code begin {1}
                // user code end
                ivjConnPtoP2Aligning = true;
                this.setAddress(getJTextField3().getText());
                // user code begin {2}
                // user code end
                ivjConnPtoP2Aligning = false;
            }
        }
        catch(java.lang.Throwable ivjExc)
        {
            ivjConnPtoP2Aligning = false;
            // user code begin {3}
            // user code end
            handleException(ivjExc);
        }
    }
    /**
     * connPtoP2SetTarget:  (JTextField3.text <--> ApprovalView.address)
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private void connPtoP2SetTarget()
    {
        /* Das Ziel des Quellenobjekts definieren */
        try
        {
            if(ivjConnPtoP2Aligning == false)
            {
                // user code begin {1}
                // user code end
                ivjConnPtoP2Aligning = true;
                getJTextField3().setText(this.getAddress());
                // user code begin {2}
                // user code end
                ivjConnPtoP2Aligning = false;
            }
        }
        catch(java.lang.Throwable ivjExc)
        {
            ivjConnPtoP2Aligning = false;
            // user code begin {3}
            // user code end
            handleException(ivjExc);
        }
    }
    /**
     * connPtoP3SetSource:  (JTextField2.text <--> ApprovalView.lastName)
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private void connPtoP3SetSource()
    {
        /* Die Quelle des Zielobjekts definieren */
        try
        {
            if(ivjConnPtoP3Aligning == false)
            {
                // user code begin {1}
                // user code end
                ivjConnPtoP3Aligning = true;
                this.setLastName(getJTextField2().getText());
                // user code begin {2}
                // user code end
                ivjConnPtoP3Aligning = false;
            }
        }
        catch(java.lang.Throwable ivjExc)
        {
            ivjConnPtoP3Aligning = false;
            // user code begin {3}
            // user code end
            handleException(ivjExc);
        }
    }
    /**
     * connPtoP3SetTarget:  (JTextField2.text <--> ApprovalView.lastName)
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private void connPtoP3SetTarget()
    {
        /* Das Ziel des Quellenobjekts definieren */
        try
        {
            if(ivjConnPtoP3Aligning == false)
            {
                // user code begin {1}
                // user code end
                ivjConnPtoP3Aligning = true;
                getJTextField2().setText(this.getLastName());
                // user code begin {2}
                // user code end
                ivjConnPtoP3Aligning = false;
            }
        }
        catch(java.lang.Throwable ivjExc)
        {
            ivjConnPtoP3Aligning = false;
            // user code begin {3}
            // user code end
            handleException(ivjExc);
        }
    }
    /**
     * connPtoP4SetSource:  (JTextField1.text <--> ApprovalView.firstName)
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private void connPtoP4SetSource()
    {
        /* Die Quelle des Zielobjekts definieren */
        try
        {
            if(ivjConnPtoP4Aligning == false)
            {
                // user code begin {1}
                // user code end
                ivjConnPtoP4Aligning = true;
                this.setFirstName(getJTextField1().getText());
                // user code begin {2}
                // user code end
                ivjConnPtoP4Aligning = false;
            }
        }
        catch(java.lang.Throwable ivjExc)
        {
            ivjConnPtoP4Aligning = false;
            // user code begin {3}
            // user code end
            handleException(ivjExc);
        }
    }
    /**
     * connPtoP4SetTarget:  (JTextField1.text <--> ApprovalView.firstName)
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private void connPtoP4SetTarget()
    {
        /* Das Ziel des Quellenobjekts definieren */
        try
        {
            if(ivjConnPtoP4Aligning == false)
            {
                // user code begin {1}
                // user code end
                ivjConnPtoP4Aligning = true;
                getJTextField1().setText(this.getFirstName());
                // user code begin {2}
                // user code end
                ivjConnPtoP4Aligning = false;
            }
        }
        catch(java.lang.Throwable ivjExc)
        {
            ivjConnPtoP4Aligning = false;
            // user code begin {3}
            // user code end
            handleException(ivjExc);
        }
    }
    /**
     * Die Methode firePropertyChange wurde zur Untersttzung des Feldes propertyChange generiert.
     */
    public void firePropertyChange(String propertyName, Object oldValue, Object newValue)
    {
        getPropertyChange().firePropertyChange(propertyName, oldValue, newValue);
    }
    /**
     * Ruft den Eigenschaftswert address (java.lang.String) ab.
     * @return Der Eigenschaftswert address.
     * @see #setAddress
     */
    public String getAddress()
    {
        return fieldAddress;
    }
    /**
     * Ruft den Eigenschaftswert amount (java.lang.String) ab.
     * @return Der Eigenschaftswert amount.
     * @see #setAmount
     */
    public String getAmount()
    {
        return fieldAmount;
    }
    /**
     * Ruft den Eigenschaftswert approved (boolean) ab.
     * @return Der Eigenschaftswert approved.
     * @see #setApproved
     */
    public boolean getApproved()
    {
        return fieldApproved;
    }
    /**
     * Ruft den Eigenschaftswert firstName (java.lang.String) ab.
     * @return Der Eigenschaftswert firstName.
     * @see #setFirstName
     */
    public String getFirstName()
    {
        return fieldFirstName;
    }
    /**
     * Den Eigenschaftswert JButton1 zurckgeben.
     * @return javax.swing.JButton
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private javax.swing.JButton getJButton1()
    {
        if(ivjApproveButton == null)
        {
            try
            {
                ivjApproveButton = new javax.swing.JButton();
                ivjApproveButton.setName("JButton1");
                ivjApproveButton.setSelected(true);
                ivjApproveButton.setText("Approve");
                ivjApproveButton.setBounds(18, 177, 85, 25);
                // user code begin {1}
                // user code end
            }
            catch(java.lang.Throwable ivjExc)
            {
                // user code begin {2}
                // user code end
                handleException(ivjExc);
            }
        }
        return ivjApproveButton;
    }
    /**
     * Den Eigenschaftswert JButton2 zurckgeben.
     * @return javax.swing.JButton
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private javax.swing.JButton getJButton2()
    {
        if(ivjRejectButton == null)
        {
            try
            {
                ivjRejectButton = new javax.swing.JButton();
                ivjRejectButton.setName("JButton2");
                ivjRejectButton.setSelected(false);
                ivjRejectButton.setText("Reject");
                ivjRejectButton.setBounds(242, 177, 85, 25);
                // user code begin {1}
                // user code end
            }
            catch(java.lang.Throwable ivjExc)
            {
                // user code begin {2}
                // user code end
                handleException(ivjExc);
            }
        }
        return ivjRejectButton;
    }
    /**
     * Den Eigenschaftswert JFrameContentPane zurckgeben.
     * @return javax.swing.JPanel
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private javax.swing.JPanel getJFrameContentPane()
    {
        if(ivjJFrameContentPane == null)
        {
            try
            {
                ivjJFrameContentPane = new javax.swing.JPanel();
                ivjJFrameContentPane.setName("JFrameContentPane");
                ivjJFrameContentPane.setLayout(null);
                getJFrameContentPane().add(getJLabel1(), getJLabel1().getName());
                getJFrameContentPane().add(getJLabel2(), getJLabel2().getName());
                getJFrameContentPane().add(getJLabel3(), getJLabel3().getName());
                getJFrameContentPane().add(getJLabel5(), getJLabel5().getName());
                getJFrameContentPane().add(getJTextField5(), getJTextField5().getName());
                getJFrameContentPane().add(getJTextField3(), getJTextField3().getName());
                getJFrameContentPane().add(getJTextField2(), getJTextField2().getName());
                getJFrameContentPane().add(getJTextField1(), getJTextField1().getName());
                getJFrameContentPane().add(getJButton1(), getJButton1().getName());
                getJFrameContentPane().add(getJButton2(), getJButton2().getName());
                // user code begin {1}
                // user code end
            }
            catch(java.lang.Throwable ivjExc)
            {
                // user code begin {2}
                // user code end
                handleException(ivjExc);
            }
        }
        return ivjJFrameContentPane;
    }
    /**
     * Den Eigenschaftswert JLabel1 zurckgeben.
     * @return javax.swing.JLabel
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private javax.swing.JLabel getJLabel1()
    {
        if(ivjJLabel1 == null)
        {
            try
            {
                ivjJLabel1 = new javax.swing.JLabel();
                ivjJLabel1.setName("JLabel1");
                ivjJLabel1.setText("First Name:");
                ivjJLabel1.setBounds(22, 20, 166, 15);
                // user code begin {1}
                // user code end
            }
            catch(java.lang.Throwable ivjExc)
            {
                // user code begin {2}
                // user code end
                handleException(ivjExc);
            }
        }
        return ivjJLabel1;
    }
    /**
     * Den Eigenschaftswert JLabel2 zurckgeben.
     * @return javax.swing.JLabel
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private javax.swing.JLabel getJLabel2()
    {
        if(ivjJLabel2 == null)
        {
            try
            {
                ivjJLabel2 = new javax.swing.JLabel();
                ivjJLabel2.setName("JLabel2");
                ivjJLabel2.setText("Last Name:");
                ivjJLabel2.setBounds(22, 51, 166, 15);
                // user code begin {1}
                // user code end
            }
            catch(java.lang.Throwable ivjExc)
            {
                // user code begin {2}
                // user code end
                handleException(ivjExc);
            }
        }
        return ivjJLabel2;
    }
    /**
     * Den Eigenschaftswert JLabel3 zurckgeben.
     * @return javax.swing.JLabel
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private javax.swing.JLabel getJLabel3()
    {
        if(ivjJLabel3 == null)
        {
            try
            {
                ivjJLabel3 = new javax.swing.JLabel();
                ivjJLabel3.setName("JLabel3");
                ivjJLabel3.setText("Address:");
                ivjJLabel3.setBounds(22, 81, 166, 15);
                // user code begin {1}
                // user code end
            }
            catch(java.lang.Throwable ivjExc)
            {
                // user code begin {2}
                // user code end
                handleException(ivjExc);
            }
        }
        return ivjJLabel3;
    }
    /**
     * Den Eigenschaftswert JLabel5 zurckgeben.
     * @return javax.swing.JLabel
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private javax.swing.JLabel getJLabel5()
    {
        if(ivjJLabel5 == null)
        {
            try
            {
                ivjJLabel5 = new javax.swing.JLabel();
                ivjJLabel5.setName("JLabel5");
                ivjJLabel5.setText("Credit Amount:");
                ivjJLabel5.setBounds(22, 136, 166, 15);
                ivjJLabel5.setForeground(java.awt.Color.red);
                // user code begin {1}
                // user code end
            }
            catch(java.lang.Throwable ivjExc)
            {
                // user code begin {2}
                // user code end
                handleException(ivjExc);
            }
        }
        return ivjJLabel5;
    }
    /**
     * Den Eigenschaftswert JTextField1 zurckgeben.
     * @return javax.swing.JTextField
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private javax.swing.JTextField getJTextField1()
    {
        if(ivjJTextField1 == null)
        {
            try
            {
                ivjJTextField1 = new javax.swing.JTextField();
                ivjJTextField1.setName("JTextField1");
                ivjJTextField1.setText("");
                ivjJTextField1.setBounds(241, 19, 267, 19);
                ivjJTextField1.setEditable(true);
                ivjJTextField1.setEnabled(false);
                // user code begin {1}
                // user code end
            }
            catch(java.lang.Throwable ivjExc)
            {
                // user code begin {2}
                // user code end
                handleException(ivjExc);
            }
        }
        return ivjJTextField1;
    }
    /**
     * Den Eigenschaftswert JTextField2 zurckgeben.
     * @return javax.swing.JTextField
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private javax.swing.JTextField getJTextField2()
    {
        if(ivjJTextField2 == null)
        {
            try
            {
                ivjJTextField2 = new javax.swing.JTextField();
                ivjJTextField2.setName("JTextField2");
                ivjJTextField2.setText("");
                ivjJTextField2.setBounds(241, 50, 267, 19);
                ivjJTextField2.setEditable(true);
                ivjJTextField2.setEnabled(false);
                // user code begin {1}
                // user code end
            }
            catch(java.lang.Throwable ivjExc)
            {
                // user code begin {2}
                // user code end
                handleException(ivjExc);
            }
        }
        return ivjJTextField2;
    }
    /**
     * Den Eigenschaftswert JTextField3 zurckgeben.
     * @return javax.swing.JTextField
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private javax.swing.JTextField getJTextField3()
    {
        if(ivjJTextField3 == null)
        {
            try
            {
                ivjJTextField3 = new javax.swing.JTextField();
                ivjJTextField3.setName("JTextField3");
                ivjJTextField3.setText("");
                ivjJTextField3.setBounds(241, 80, 267, 19);
                ivjJTextField3.setEditable(true);
                ivjJTextField3.setEnabled(false);
                // user code begin {1}
                // user code end
            }
            catch(java.lang.Throwable ivjExc)
            {
                // user code begin {2}
                // user code end
                handleException(ivjExc);
            }
        }
        return ivjJTextField3;
    }
    /**
     * Den Eigenschaftswert JTextField5 zurckgeben.
     * @return javax.swing.JTextField
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private javax.swing.JTextField getJTextField5()
    {
        if(ivjJTextField5 == null)
        {
            try
            {
                ivjJTextField5 = new javax.swing.JTextField();
                ivjJTextField5.setName("JTextField5");
                ivjJTextField5.setText("");
                ivjJTextField5.setBounds(241, 135, 267, 19);
                ivjJTextField5.setEditable(true);
                ivjJTextField5.setEnabled(false);
                // user code begin {1}
                // user code end
            }
            catch(java.lang.Throwable ivjExc)
            {
                // user code begin {2}
                // user code end
                handleException(ivjExc);
            }
        }
        return ivjJTextField5;
    }
    /**
     * Ruft den Eigenschaftswert lastName (java.lang.String) ab.
     * @return Der Eigenschaftswert lastName.
     * @see #setLastName
     */
    public String getLastName()
    {
        return fieldLastName;
    }
    /**
     * Die Beschreibung der Methode hier eingeben.
     * Erstellungsdatum: (17.11.99 11:40:46)
     * @return CreditApprovalSampleListener
     */
    public CreditApprovalSampleListener getModel()
    {
        return model;
    }
    /**
     * Accessor fr das Feld propertyChange.
     */
    protected java.beans.PropertyChangeSupport getPropertyChange()
    {
        if(propertyChange == null)
        {
            propertyChange = new java.beans.PropertyChangeSupport(this);
        };
        return propertyChange;
    }
    /**
     * Wird aufgerufen, wenn die Komponente eine Ausnahmebedingung bergibt.
     * @param exception java.lang.Throwable
     */
    private void handleException(Throwable exception)
    {

        /* Entfernen Sie den Kommentar fr die folgenden Zeilen, um nicht abgefangene Ausnahmebedingungen auf der Standardausgabeeinheit (stdout) auszugeben */
        // System.out.println("--------- NICHT ABGEFANGENE AUSNAHMEBEDINGUNG ---------");
        // exception.printStackTrace(System.out);
    }
    /**
     * Initialisiert Verbindungen
     * @exception java.lang.Exception Die Beschreibung der Ausnahmebedingung.
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private void initConnections() throws Exception {
        // user code begin {1}
        // user code end
        this.addPropertyChangeListener(ivjEventHandler);
        getJTextField5().addPropertyChangeListener(ivjEventHandler);
        getJTextField3().addPropertyChangeListener(ivjEventHandler);
        getJTextField2().addPropertyChangeListener(ivjEventHandler);
        getJTextField1().addPropertyChangeListener(ivjEventHandler);
        getJButton1().addActionListener(ivjEventHandler);
        getJButton2().addActionListener(ivjEventHandler);
        connPtoP1SetTarget();
        connPtoP2SetTarget();
        connPtoP3SetTarget();
        connPtoP4SetTarget();
    }
    /**
     * Die Klasse initialisieren.
     */
    /* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
    private void initialize()
    {
        try
        {
            // user code begin {1}
            // user code end
            setName("ApprovalView");
            setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
            setSize(544, 236);
            setTitle("ApprovlaView");
            setContentPane(getJFrameContentPane());
            initConnections();
        }
        catch(java.lang.Throwable ivjExc)
        {
            handleException(ivjExc);
        }
        // user code begin {2}
        // user code end
    }
    /**
     * Haupteingangspunkt - Startet die Komponente, wenn sie als Anwendung ausgefhrt wird
     * @param args java.lang.String[]
     */
    public static void main(java.lang.String[] args)
    {
        try
        {
            ApprovalView aApprovalView;
            aApprovalView = new ApprovalView();
            aApprovalView.addWindowListener(new java.awt.event.WindowAdapter()
                                            {
                                                public void windowClosing(java.awt.event.WindowEvent e)
                                                {
                                                    System.exit(0);
                                                };
                                            });
            aApprovalView.setVisible(true);
        }
        catch(Throwable exception)
        {
            System.err.println("In main() von javax.swing.JFrame trat eine Ausnahmebedingung auf");
            exception.printStackTrace(System.out);
        }
    }
    /**
     * Comment
     */
    public void rejectButtonPressed(java.awt.event.ActionEvent actionEvent)
    {
        Tracer.trace("rejectButtonPressed");
        getModel().setApprove(false);
        getModel().TerminateAsyncWait();
        return;
    }
    /**
     * Die Methode removePropertyChangeListener wurde zur Untersttzung des Feldes propertyChange generiert.
     */
    public synchronized void removePropertyChangeListener(java.beans.PropertyChangeListener listener)
    {
        getPropertyChange().removePropertyChangeListener(listener);
    }
    /**
     * Die Beschreibung der Methode hier eingeben.
     * Erstellungsdatum: (17.11.99 08:55:11)
     */
    public void run() 
    {
        this.show();
        int i = 0;
        while(this.isShowing())
        {
            i++;
            System.out.println(i);
            Thread.yield();
        }
    }
    /**
     * Definiert den Eigenschaftswert address (java.lang.String).
     * @param address Der neue Wert fr die Eigenschaft.
     * @see #getAddress
     */
    public void setAddress(String address)
    {
        String oldValue = fieldAddress;
        fieldAddress = address;
        firePropertyChange("address", oldValue, address);
    }
    /**
     * Definiert den Eigenschaftswert amount (java.lang.String).
     * @param amount Der neue Wert fr die Eigenschaft.
     * @see #getAmount
     */
    public void setAmount(String amount)
    {
        String oldValue = fieldAmount;
        fieldAmount = amount;
        firePropertyChange("amount", oldValue, amount);
    }
    /**
     * Definiert den Eigenschaftswert approved (boolean).
     * @param approved Der neue Wert fr die Eigenschaft.
     * @see #getApproved
     */
    public void setApproved(boolean approved)
    {
        boolean oldValue = fieldApproved;
        fieldApproved = approved;
        firePropertyChange("approved", new Boolean(oldValue), new Boolean(approved));
    }
    /**
     * Definiert den Eigenschaftswert firstName (java.lang.String).
     * @param firstName Der neue Wert fr die Eigenschaft.
     * @see #getFirstName
     */
    public void setFirstName(String firstName)
    {
        String oldValue = fieldFirstName;
        fieldFirstName = firstName;
        firePropertyChange("firstName", oldValue, firstName);
    }
    /**
     * Definiert den Eigenschaftswert lastName (java.lang.String).
     * @param lastName Der neue Wert fr die Eigenschaft.
     * @see #getLastName
     */
    public void setLastName(String lastName)
    {
        String oldValue = fieldLastName;
        fieldLastName = lastName;
        firePropertyChange("lastName", oldValue, lastName);
    }
    /**
     * Die Beschreibung der Methode hier eingeben.
     * Erstellungsdatum: (17.11.99 11:40:46)
     * @param newModel CreditApprovalSampleListener
     */
    public void setModel(CreditApprovalSampleListener newModel)
    {
        model = newModel;
    }
}
